File: INSTALL

package info (click to toggle)
grok 1.20110708.1-4.3
  • links: PTS, VCS
  • area: main
  • in suites: buster
  • size: 2,460 kB
  • sloc: ansic: 3,469; ruby: 987; makefile: 276; sh: 124; yacc: 106
file content (42 lines) | stat: -rw-r--r-- 1,218 bytes parent folder | download | duplicates (5)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
Dependencies:
  The following are the dependency versions known to work:

    Developer dependencies:
      bison        >= 2.3
      gnu flex     >= 2.5.35
    * gnu flex and bison are only needed for developers, as the main source
      code comes with bison/flex code generation already run)

    Build dependencies:
      gperf        >= 3.0
      GNU make     >= 3.81
    Run dependencies:
      libevent      >= 1.3 (older versions may work)
      libpcre       >= 7.6
      Tokyo Cabinet >= 1.4.9

    Test suite dependencies:
      CUnit        >= 2.1

    Ubuntu dependency list (for ease):
      apt-get install bison ctags flex gperf libevent-dev libpcre3-dev libtokyocabinet-dev

Building:
  make grok    (or 'gmake grok' if your make is not gnu make)

Installing:
  make install

Platforms:
  This has been tested on Linux and FreeBSD. All tests pass in both Linux and
  FreeBSD. It should work elsewhere.
  
FreeBSD Notes:
  You can install this from ports in sysutils/grok

CentOS Notes:
  CentOS 5.3 has an old version of pcre available, too old, in fact. Building a
  new rpm from a more recent Fedora pcre SRPM has worked well for me.

Getting help:
  The mailing list is grok-users@googlegroups.com